Subject: bug#3643: 23.1.90.1; menu, toolbars vs. constant size

From: Jan Djärv <[email-masked]>
Date: Sat, 09 Jan 2010 14:30:41 +0100

[email-masked] skrev:
> !.Xresources
> Emacs.toolBar: 0
> Emacs.menuBar: 0
> and emacs -q it turns out work... unless one wants to use a different
> font! Then one needs -mm.
> Is there any way to put the -mm into .emacs? or does one need a shell wrapper?

The documentation for emacs and elisp is in info.  It can be confusing that 
some parts are in the Emacs node and some in the Elisp node.  This particular 
documentation is in the Elisp node: In Emacs:
C-h i m elisp<return> s maximized <return>

I.e. the frame parameter fullscreen can have the value maximized.

> emacs-version "23.1.91.1"
> Anyway, my point still remains, the user's first encounter with
> $ emacs # just won't fit on many people's screens.
> At least under icewm. I don't know any other program that acts like that
> right out of the box.

That is indeed a bad thing to do.  I added some code to address that.  Note 
that any tool bars put there by the window manager must be handeled by the 
window manager.  For example, compiz will never let me create a window so high 
it covers the menu/toolbars added by Gnome-panel.

	Jan D.